WinStd Additional templates and function helpers for Microsoft Windows using Standard C++ classes

Public Member Functions | List of all members
winstd::data_blob Class Reference
Cryptography API

DATA_BLOB wrapper class. More...

`#include <Crypt.h>`

Inheritance diagram for winstd::data_blob:

## Public Member Functions
| data_blob () noexcept
| Initializes an empty BLOB.
| data_blob (_In_count_(size) BYTE *data, _In_ DWORD size) noexcept
| Initializes a BLOB from existing data.
| data_blob (_In_ const DATA_BLOB &other)
| Duplicate an existing BLOB.
| data_blob (_Inout_ data_blob &&other) noexcept
| Move an existing BLOB.
virtual | ~data_blob ()
| Destroys the BLOB.
data_blob & | operator= (_In_ const DATA_BLOB &other)
| Copy an existing BLOB.
data_blob & | operator= (_Inout_ data_blob &&other) noexcept
| Move an existing BLOB.
DWORD | size () const noexcept
| Get BLOB size.
const BYTE * | data () const noexcept
| Get BLOB buffer.
BYTE * | data () noexcept
| Get BLOB buffer.

## Detailed Description

DATA_BLOB wrapper class.

The documentation for this class was generated from the following file:

- include/WinStd/Crypt.h